Error updating to version 2.2.24

Discussion in 'Installation/Configuration' started by wontolla, Jul 9, 2008.

  1. wontolla

    wontolla New Member

    Hi I'd downloaded untar and ./setup, selecte language (3) and accepted the license:

    Checking the syntax of the httpd.conf...
    Syntax error on line 48 of /etc/apache2/vhosts/Vhosts_ispconfig.conf:
    Invalid command 'php_admin_flag', perhaps misspelled or defined by a module not included in the server configuration
    ERROR: The syntax of your httpd.conf is not ok! Please correct the error. The installation routine stops here!

    any help?
  2. Hans

    Hans Moderator ISPConfig Developer

    Which Linux distribution are you using?
  3. wontolla

    wontolla New Member

    Sorry, I'm using Ubuntu 8.04 fully updated/upgraded using the perfect server guide , my web service got down off yesterday after changing the firewall port, it could be related....

    the httpd.conf file is empty since 2008-05-27 (install date)!!!!!!!!!! related?
    Last edited: Jul 9, 2008
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Never seen that before. There should be a copy of httpd.conf file in thes ame directory with a date appended. Restore the last copy.
  5. wontolla

    wontolla New Member

    Hi, no other httpd.conf files in that dir.

    In the install_ispconfig folder \compile_aps\ there's a http.conf_http, could I use that one as base?

    I'm watching the httpd.conf from /etc/apache2 any other under ispconfig fodler?
    Last edited: Jul 9, 2008
  6. wontolla

    wontolla New Member

    Hi again after diving in the forum I'd found the httpd.conf under apache2 should be empty, now the error in line 48 is referred to:

    php_admin_flag safe_mode On

    so I'll set it off and retry the update
  7. till

    till Super Moderator Staff Member ISPConfig Developer

    No, do nozt touch this at all!

    This wont help, as On or Off does not make any difference. The problem is that mod_php seems not to be installed on your server or it is not enabled. Please isntall mod_php from your linux distribution.
  8. wontolla

    wontolla New Member

    Ok, I'll let you know the result.Reinstalled php5 packages and the install works, strange because I'd installed before.....

    Now everything works even the web service thank you very much.
    Last edited: Jul 9, 2008

Share This Page